AM261x MCU+ SDK: GPMC_timingParams Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
GPMC_timingParams Struct Reference
APIs for SOC Specific Device Drivers » APIs for GPMC

## Detailed Description

GPMC timing parameters.

## Data Fields
uint32_t | csOnTime
uint32_t | csRdOffTime
uint32_t | csWrOffTime
uint32_t | advOnTime
uint32_t | advRdOffTime
uint32_t | advWrOffTime
uint32_t | advAadMuxOnTime
uint32_t | advAadMuxRdOffTime
uint32_t | advAadMuxWrOffTime
uint32_t | weOnTtime
uint32_t | weOffTime
uint32_t | oeOnTime
uint32_t | oeOffTime
uint32_t | oeAadMuxOnTime
uint32_t | oeAadMuxOffTime
uint32_t | pageBurstAccess
uint32_t | rdAccessTime
uint32_t | wrAcessTime
uint32_t | rdCycleTime
uint32_t | wrCycleTime
uint32_t | wrDataOnMuxBusTime
uint32_t | cycle2CycleDelay
uint32_t | cycleDelaySameChipSel
uint32_t | cycleDelayDiffChipSel
uint32_t | busTurnAroundTime

## Field Documentation

## ◆ csOnTime

uint32_t GPMC_timingParams::csOnTime

## ◆ csRdOffTime

uint32_t GPMC_timingParams::csRdOffTime

Chip Select Read de-assertion time.

## ◆ csWrOffTime

uint32_t GPMC_timingParams::csWrOffTime

Chip Select Write de-assertion time.

## ◆ advOnTime

uint32_t GPMC_timingParams::advOnTime

ADV Assertion time.

## ◆ advRdOffTime

uint32_t GPMC_timingParams::advRdOffTime

ADV Read de-assertion time.

## ◆ advWrOffTime

uint32_t GPMC_timingParams::advWrOffTime

ADV Write de-assertion time.

## ◆ advAadMuxOnTime

uint32_t GPMC_timingParams::advAadMuxOnTime

ADV Assertion time in an AADMultiplexed access.

## ◆ advAadMuxRdOffTime

uint32_t GPMC_timingParams::advAadMuxRdOffTime

ADV Read de-assertion time in an AADMultiplexed access.

## ◆ advAadMuxWrOffTime

uint32_t GPMC_timingParams::advAadMuxWrOffTime

ADV Write de-assertion time in an AADMultiplexed access.

## ◆ weOnTtime

uint32_t GPMC_timingParams::weOnTtime

WE assertion time.

## ◆ weOffTime

uint32_t GPMC_timingParams::weOffTime

WE de-assertion time.

## ◆ oeOnTime

uint32_t GPMC_timingParams::oeOnTime

OE assertion time.

## ◆ oeOffTime

uint32_t GPMC_timingParams::oeOffTime

OE de-assertion time.

## ◆ oeAadMuxOnTime

uint32_t GPMC_timingParams::oeAadMuxOnTime

OE assertion time in an AADMultiplexed access.

## ◆ oeAadMuxOffTime

uint32_t GPMC_timingParams::oeAadMuxOffTime

OE de-assertion time in an AADMultiplexed access.

## ◆ pageBurstAccess

uint32_t GPMC_timingParams::pageBurstAccess

Multiple access word delay.

## ◆ rdAccessTime

uint32_t GPMC_timingParams::rdAccessTime

Start-cycle to first valid delay.

## ◆ wrAcessTime

uint32_t GPMC_timingParams::wrAcessTime

Delay from StartAccessTime to the CLK rising edge.

## ◆ rdCycleTime

uint32_t GPMC_timingParams::rdCycleTime

Total read cycle time.

## ◆ wrCycleTime

uint32_t GPMC_timingParams::wrCycleTime

Total write cycle time.

## ◆ wrDataOnMuxBusTime

uint32_t GPMC_timingParams::wrDataOnMuxBusTime

Write Data on Mux Bus Time.

## ◆ cycle2CycleDelay

uint32_t GPMC_timingParams::cycle2CycleDelay

Chip Select high pulse delay between two successive accesses.

## ◆ cycleDelaySameChipSel

uint32_t GPMC_timingParams::cycleDelaySameChipSel

Value to control adding of cycle2cycle delay between two successive accesses to the same chip select.

## ◆ cycleDelayDiffChipSel

uint32_t GPMC_timingParams::cycleDelayDiffChipSel

Value to control adding of cycle2cycle delay between two successive accesses to the different chip select.

## ◆ busTurnAroundTime

uint32_t GPMC_timingParams::busTurnAroundTime

Bus turn around time between two successive accesses to the same chip-select (read to write) or to a different chip-select(read to read and read to write) in GPMC_FCLK cycles.